#ifndef IMAGE_HPP
#define IMAGE_HPP

#include <Graphics/Graphics.hpp>

#include <stdint.h>

#include <vector>

using std::vector;

class Image {
public:
	Image(float *mass); //we take a copy of this mass.
	~Image();
	vector< int32_t > inv_mass;
	GLuint texture;
};

namespace ImageWatcher {

	void init();
	void deinit();
	void get_new_images(vector< Image * > &into);

};

#endif //IMAGE_HPP
